<!ELEMENT jobinformation (postdetail?,
                                                 classifdetail?,
												 jobtitle,
                                                 joblocation?,
                                                 jobdescription,
                                                 howtoapply+,
                                                 eeostatement?)> 
<!ATTLIST jobinformation 
                          %attrglobal; 
>



<!ELEMENT jobdescription                         (comment | 
                                                  jobrefid |
												  jobpurpose  | 
                                                  essentialfunctions  | 
                                                  qualifications  | 
                                                  wrkenvironment | 
                                                  preferences  | 
                                                  compensation  | 
                                                   %pmod;)*>
<!ATTLIST jobdescription 
                          %attrglobal; 
>




<!ELEMENT classifdetail                (grade | 
                                                  classification | 
                                                  approvedby |  
                                                  approveddate)*>
<!ATTLIST classifdetail 
                          %attrglobal; 
                           %attrdist;
>

<!ELEMENT compensation (comment | %pmod;)+>
<!ATTLIST compensation          
                           %attrglobal; 
>

<!-- The DTD permits more than one
       "how to apply." By using the "distribute"
       attribute,  separate howtoapply 
       instructions could be prepared for 
       internal and external applicants -->

<!ELEMENT howtoapply (comment | %pmod;)+>
<!ATTLIST howtoapply          
                           %attrglobal; 
                           %attrdist;

>

<!ELEMENT grade (#PCDATA | comment)*>
<!ATTLIST grade          
                           %attrglobal; 
                           %attrdist;
>

<!-- Many employers include an EEO statement
      in their job postings. Some government 
      employers and contractors may be required
      to include such a statement when 
      advertising a job. -->

<!ELEMENT eeostatement (%pmod;)>
<!ATTLIST eeostatement          
                           %attrglobal; 
>

<!ELEMENT jobpurpose (comment | %pmod;)+>
<!ATTLIST jobpurpose          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT essentialfunctions  (comment | %pmod;)+>
<!ATTLIST essentialfunctions          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT wrkenvironment (comment | %pmod;)+>
<!ATTLIST wrkenvironment          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT preferences (comment | %pmod;)+>
<!ATTLIST preferences          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT approvedby (#PCDATA | comment)*>
<!ATTLIST approvedby          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT approveddate (date)>
<!ATTLIST approveddate          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT classification (positiontype?, schedule?, duration?, otstatus?)>
<!ATTLIST classification          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT positiontype ((directhire | contract | tbd), comment?)>
<!ATTLIST positiontype          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT otstatus ((exempt | nonexempt | tbd), comment?)>
<!ATTLIST otstatus          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT schedule ((fulltime | parttime | tbd), comment?)>
<!ATTLIST schedule          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT duration ((temporary | regular | tbd), comment?)>
<!ATTLIST duration          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT exempt EMPTY>
<!ATTLIST exempt          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT nonexempt EMPTY>
<!ATTLIST nonexempt          
                           %attrglobal; 
                           %attrdist;

>

<!ELEMENT directhire EMPTY>
<!ATTLIST directhire          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT contract EMPTY>
<!ATTLIST contract          
                           %attrglobal; 
                           %attrdist;

>

<!ELEMENT fulltime (hoursperweek | comment)+>
<!ATTLIST fulltime          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT parttime (hoursperweek | comment)+>
<!ATTLIST parttime          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT hoursperweek (#PCDATA | comment)*>
<!ATTLIST hoursperweek          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT temporary (termlength | comment)+>
<!ATTLIST temporary          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT termlength (#PCDATA | comment)*>
<!ATTLIST termlength          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT regular EMPTY>          
<!ATTLIST regular          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT qualifications (comment | skillsrequired | experiencerequired | 
                              softwarerequired |
                              prgmlangrequired | educationrequired |
                              licenserequired | certificationrequired |
							  hardwarerequired |
							  equipmntrequired |
                              otherrequired)*>
<!ATTLIST qualifications          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT hardwarerequired (comment | %pmod;)+> 
<!ATTLIST hardwarerequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT equipmntrequired (comment | %pmod;)+> 
<!ATTLIST equipmntrequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT skillsrequired (comment | skill | %pmod;)+> 
<!ATTLIST skillsrequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT experiencerequired (comment | %pmod;)+> 
<!ATTLIST experiencerequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT softwarerequired (comment | software | %pmod;)+>
<!ATTLIST softwarerequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT prgmlangrequired (comment | prgmlang | %pmod;)+>
<!ATTLIST prgmlangrequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT educationrequired (comment | degree | %pmod;)+>
<!ATTLIST educationrequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT certificationrequired (comment | certification | %pmod;)+>
<!ATTLIST certificationrequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT licenserequired (comment | licensename | %pmod;)+>
<!ATTLIST licenserequired          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT otherrequired (comment | %pmod;)+>
<!ATTLIST otherrequired
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT skill (#PCDATA | yearsexperience | comment)*>
<!ATTLIST skill          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT major (#PCDATA  | comment)*>
<!ATTLIST major           
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT software (#PCDATA | yearsexperience | comment)*>
<!ATTLIST software          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT prgmlang (#PCDATA | yearsexperience | comment)*>
<!ATTLIST prgmlang          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT degree (#PCDATA |  major | comment)*>
<!ATTLIST degree          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT certification (#PCDATA | comment)*>
<!ATTLIST certification          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT licensename (#PCDATA | comment)*>
<!ATTLIST licensename          
                           %attrglobal; 
                           %attrdist;
>
<!ELEMENT yearsexperience (#PCDATA | comment)*>
<!ATTLIST yearsexperience          
                           %attrglobal; 
                           %attrdist;
>

<!ELEMENT jobrefid (#PCDATA | comment)*>
<!ATTLIST jobrefid
                        %attrglobal; 
                        %attrdist;
>